
# This is the config file for the Primal Winter mod
# In order to reload these settings in-game, you must run /primalwinterReloadConfig
[general]

    # Should the vanilla /weather be disabled? Any changes require a world restart to take effect.
    enableWeatherCommand = false

    # If true, snow will be layered higher than one layer during world generation.
    # Note: due to snow layers being > 1 block tall, this tends to prevent most passive (and hostile) mob spawning on the surface, since there are no places to spawn.
    enableSnowAccumulationDuringWorldgen = false

    # If true, snow will be layered higher than one layer during weather (snow).
    enableSnowAccumulationDuringWeather = true

    # A list of biome IDs that will not be forcibly converted to frozen wastelands. Any changes requires a MC restart to take effect.
    nonWinterBiomes = ["minecraft:nether_wastes", "minecraft:crimson_forest", "minecraft:warped_forest", "minecraft:basalt_deltas", "minecraft:soul_sand_valley", "minecraft:end_barrens", "minecraft:end_highlands", "minecraft:end_midlands", "minecraft:the_end", "minecraft:the_void"]

    # A list of dimension IDs that will not have winter weather effects set.
    nonWinterDimensions = ["minecraft:the_nether", "minecraft:the_end"]

    # If true, the 'nonWinterBiomes' config option will be interpreted as a list of winter biomes, and all others will be ignored.
    invertNonWinterBiomes = false

    # If true, the 'nonWinterDimensions' config option will be interpreted as a list of winter dimensions, and all others will be ignored.
    invertNonWinterDimensions = false


[client]

    # How dense the fog effect during a snowstorm is.
    # Range: [0.0, 1.0]
    fogDensity = 0.0

    # How visually dense the snow weather effect is. Normally, vanilla sets this to 5 with fast graphics, and 10 with fancy graphics.
    # Range: [1, 15]
    snowDensity = 8

    # Enable snow (actually rain) weather sounds.
    snowSounds = true

    # Enable wind / snow storm weather sounds.
    windSounds = true

    # This is the fog color during the day. It must be an RGB hex string.
    fogColorDay = "bfbfd8"

    # This is the fog color during the night. It must be an RGB hex string.
    fogColorNight = "0c0c19"

    # Changes the weather renderer to one which renders faster, denser snow.
    weatherRenderChanges = true

    # Changes the sky renderer to one which does not render sunrise or sunset effects during a snowstorm.
    skyRenderChanges = true

